Docker

The synapser package has low level dependencies like openssl, zlib and the development version of curl. These are usually provided in linux installations but if you are using the r-base Docker image (https://hub.docker.com/_/r-base/) they are not included. The following Dockerfile ensures the required dependencies are in place and also installs synapser.